CVE-2019-15699

NameCVE-2019-15699
DescriptionAn issue was discovered in app-layer-ssl.c in Suricata 4.1.4. Upon receiving a corrupted SSLv3 (TLS 1.2) packet, the parser function TLSDecodeHSHelloExtensions tries to access a memory region that is not allocated, because the expected length of HSHelloExtensions does not match the real length of the HSHelloExtensions part of the packet.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
suricata (PTS)buster1:4.1.2-2+deb10u1vulnerable
bullseye1:6.0.1-3fixed
bookworm1:6.0.10-1fixed
trixie1:7.0.3-1fixed
sid1:7.0.4-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
suricatasourcejessie(not affected)
suricatasource(unstable)1:4.1.5-1low

Notes

[buster] - suricata <no-dsa> (Minor issue)
[stretch] - suricata <no-dsa> (Minor issue)
[jessie] - suricata <not-affected> (Vulnerable code introduced later)
https://suricata-ids.org/2019/09/24/suricata-4-1-5-released/

Search for package or bug name: Reporting problems